GET /_system/local_devices/device/{type}/{guid}/pose

Get current pose/position data for a device (Dobot specific)

Get current pose/position data for a device (Dobot specific)
KeyTypeExampleDescription
typerequiredstring
"example"
GUID of the device.
guidrequiredstring
"example"
Unique identifier (GUID)
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
{
  "r": 12.5,
  "timestamp": 1782166695813,
  "x": 12.5,
  "y": 12.5,
  "z": 12.5
}
{
  "error": "ERROR_KEY"
}
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
local_devices_viewRequired scope: local_devices_view

Back to Local Devices Return to the Local Devices category to view other endpoints All API Categories Browse all available API categories